Bug 815388 - (CVE-2012-2401) CVE-2012-2401 wordpress (X < v3.3.2): Plupload - Same origin policy bypass via crafted SWF content
CVE-2012-2401 wordpress (X < v3.3.2): Plupload - Same origin policy bypass vi...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
impact=low,public=20120420,reported=2...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-23 10:04 EDT by Jan Lieskovsky
Modified: 2012-09-14 18:41 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-09-14 18:41:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Lieskovsky 2012-04-23 10:04:11 EDT
Common Vulnerabilities and Exposures assigned an identifier CVE-2012-2401 to the following vulnerability:

Plupload before 1.5.4, as used in wp-includes/js/plupload/ in WordPress before 3.3.2 and other products, enables scripting regardless of the domain from which the SWF content was loaded, which allows remote attackers to bypass the Same Origin Policy via crafted content.

References:
http://core.trac.wordpress.org/browser/branches/3.3/wp-includes/js/plupload/changelog.txt?rev=20487
http://core.trac.wordpress.org/browser/branches/3.3/wp-includes/js/plupload?rev=20487
http://wordpress.org/news/2012/04/wordpress-3-3-2/
Comment 1 Jan Lieskovsky 2012-04-23 10:11:06 EDT
This issue affects the versions of the wordpress package, as shipped with Fedora release of 15 and 16.

--

This issue affects the version of the wordpress package, as shipped with Fedora EPEL 6.

--

This issue did NOT affect the version of the wordpress package, as shipped with Fedora EPEL 5.
Comment 2 Jan Lieskovsky 2012-04-23 10:18:31 EDT
This issue is scheduled to be corrected via the following updates:
1) wordpress-3.3.2-2.el6  for Fedora EPEL 6,
2) wordpress-3.3.2-2.fc16 for Fedora 16,
3) wordpress-3.3.2-2.fc15 for Fedora 15.
Comment 3 Fedora Update System 2012-05-10 16:41:03 EDT
wordpress-3.3.2-2.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 4 Fedora Update System 2012-05-11 06:26:55 EDT
wordpress-3.3.2-2.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 5 Fedora Update System 2012-05-11 06:29:40 EDT
wordpress-3.3.2-2.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2012-05-26 04:09:49 EDT
wordpress-3.3.2-2.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.